Index: LMDZ5/trunk/libf/phylmd/1Dconv.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/1Dconv.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/1Dconv.h	(revision 2019)
@@ -1,12 +1,12 @@
-        subroutine get_uvd(itap,dtime,file_forctl,file_fordat,
-     :       ht,hq,hw,hu,hv,hthturb,hqturb,
-     :       Ts,imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)
-c
+        subroutine get_uvd(itap,dtime,file_forctl,file_fordat,                  &
+     &       ht,hq,hw,hu,hv,hthturb,hqturb,                                     &
+     &       Ts,imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)                                 
+!
         implicit none
  
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-c cette routine permet d obtenir u_convg,v_convg,ht,hq et ainsi de
-c pouvoir calculer la convergence et le cisaillement dans la physiq
-ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+! cette routine permet d obtenir u_convg,v_convg,ht,hq et ainsi de
+! pouvoir calculer la convergence et le cisaillement dans la physiq
+!cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
 #include "YOMCST.h"
@@ -29,35 +29,35 @@
       COMMON/com2_phys_gcss/playm,hplaym,nblvlm
 
-c======================================================================
-c methode: on va chercher les donnees du mesoNH de meteo france, on y
-c          a acces a tout pas detemps grace a la routine rdgrads qui
-c          est une boucle lisant dans ces fichiers.
-c          Puis on interpole ces donnes sur les 11 niveaux du gcm et
-c          et sur les pas de temps de ce meme gcm
-c----------------------------------------------------------------------
-c input:
-c       pasmax     :nombre de pas de temps maximum du mesoNH
-c       dt         :pas de temps du meso_NH (en secondes)
-c----------------------------------------------------------------------
+!======================================================================
+! methode: on va chercher les donnees du mesoNH de meteo france, on y
+!          a acces a tout pas detemps grace a la routine rdgrads qui
+!          est une boucle lisant dans ces fichiers.
+!          Puis on interpole ces donnes sur les 11 niveaux du gcm et
+!          et sur les pas de temps de ce meme gcm
+!----------------------------------------------------------------------
+! input:
+!       pasmax     :nombre de pas de temps maximum du mesoNH
+!       dt         :pas de temps du meso_NH (en secondes)
+!----------------------------------------------------------------------
       integer pasmax,dt
       save pasmax,dt
-c----------------------------------------------------------------------
-c arguments:
-c           itap   :compteur de la physique(le nombre de ces pas est
-c                   fixe dans la subroutine calcul_ini_gcm de interpo
-c                   -lation
-c           dtime  :pas detemps du gcm (en secondes)
-c           ht     :convergence horizontale de temperature(K/s)
-c           hq     :    "         "       d humidite (kg/kg/s)
-c           hw     :vitesse verticale moyenne (m/s**2)
-c           hu     :convergence horizontale d impulsion le long de x
-c                  (kg/(m^2 s^2)
-c           hv     : idem le long de y.
-c           Ts     : Temperature de surface (K)
-c           imp_fcg: var. logical .eq. T si forcage en impulsion
-c           ts_fcg: var. logical .eq. T si forcage en Ts present dans fichier
-c           Tp_fcg: var. logical .eq. T si forcage donne en Temp potentielle
-c           Turb_fcg: var. logical .eq. T si forcage turbulent present dans fichier
-c----------------------------------------------------------------------
+!----------------------------------------------------------------------
+! arguments:
+!           itap   :compteur de la physique(le nombre de ces pas est
+!                   fixe dans la subroutine calcul_ini_gcm de interpo
+!                   -lation
+!           dtime  :pas detemps du gcm (en secondes)
+!           ht     :convergence horizontale de temperature(K/s)
+!           hq     :    "         "       d humidite (kg/kg/s)
+!           hw     :vitesse verticale moyenne (m/s**2)
+!           hu     :convergence horizontale d impulsion le long de x
+!                  (kg/(m^2 s^2)
+!           hv     : idem le long de y.
+!           Ts     : Temperature de surface (K)
+!           imp_fcg: var. logical .eq. T si forcage en impulsion
+!           ts_fcg: var. logical .eq. T si forcage en Ts present dans fichier
+!           Tp_fcg: var. logical .eq. T si forcage donne en Temp potentielle
+!           Turb_fcg: var. logical .eq. T si forcage turbulent present dans fichier
+!----------------------------------------------------------------------
         integer itap
         real dtime
@@ -74,25 +74,25 @@
         logical Tp_fcg
         logical Turb_fcg
-c----------------------------------------------------------------------
-c Variables internes de get_uvd (note : l interpolation temporelle
-c est faite entre les pas de temps before et after, sur les variables
-c definies sur la grille du SCM; on atteint exactement les valeurs Meso
-c aux milieux des pas de temps Meso)
-c     time0     :date initiale en secondes
-c     time      :temps associe a chaque pas du SCM
-c     pas       :numero du pas du meso_NH (on lit en pas : le premier pas
-c                 des donnees est duplique)
-c     pasprev   :numero du pas de lecture precedent
-c     htaft     :advection horizontale de temp. au pas de temps after
-c     hqaft     :    "         "      d humidite        "
-c     hwaft     :vitesse verticalle moyenne  au pas de temps after
-c     huaft,hvaft :advection horizontale d impulsion au pas de temps after
-c     tsaft     : surface temperature 'after time step'
-c     htbef     :idem htaft, mais pour le pas de temps before
-c     hqbef     :voir hqaft
-c     hwbef     :voir hwaft
-c     hubef,hvbef : idem huaft,hvaft, mais pour before
-c     tsbef     : surface temperature 'before time step'
-c----------------------------------------------------------------------
+!----------------------------------------------------------------------
+! Variables internes de get_uvd (note : l interpolation temporelle
+! est faite entre les pas de temps before et after, sur les variables
+! definies sur la grille du SCM; on atteint exactement les valeurs Meso
+! aux milieux des pas de temps Meso)
+!     time0     :date initiale en secondes
+!     time      :temps associe a chaque pas du SCM
+!     pas       :numero du pas du meso_NH (on lit en pas : le premier pas
+!                 des donnees est duplique)
+!     pasprev   :numero du pas de lecture precedent
+!     htaft     :advection horizontale de temp. au pas de temps after
+!     hqaft     :    "         "      d humidite        "
+!     hwaft     :vitesse verticalle moyenne  au pas de temps after
+!     huaft,hvaft :advection horizontale d impulsion au pas de temps after
+!     tsaft     : surface temperature 'after time step'
+!     htbef     :idem htaft, mais pour le pas de temps before
+!     hqbef     :voir hqaft
+!     hwbef     :voir hwaft
+!     hubef,hvbef : idem huaft,hvaft, mais pour before
+!     tsbef     : surface temperature 'before time step'
+!----------------------------------------------------------------------
         integer time0,pas,pasprev
         save time0,pas,pasprev
@@ -106,12 +106,12 @@
         real Tsbef
         save htbef,hqbef,hwbef,hubef,hvbef,hthturbbef,hqturbbef
-c
+!
         real timeaft,timebef
         save timeaft,timebef
         integer temps
         character*4 string
-c----------------------------------------------------------------------
-c variables arguments de la subroutine rdgrads
-c---------------------------------------------------------------------
+!----------------------------------------------------------------------
+! variables arguments de la subroutine rdgrads
+!---------------------------------------------------------------------
         integer icompt,icomp1 !compteurs de rdgrads
         real z(100)         ! altitude (grille Meso)
@@ -128,35 +128,35 @@
         real hqturb_mes(100) !tendance horizontale d humidite, due aux
                               !flux turbulents
-c
-c---------------------------------------------------------------------
-c variable argument de la subroutine copie
-c---------------------------------------------------------------------
-c SB        real pplay(100)    !pression en milieu de couche du gcm
-c SB                            !argument de la physique
-c---------------------------------------------------------------------
-c variables destinees a la lecture du pas de temps du fichier de donnees
-c---------------------------------------------------------------------
+!
+!---------------------------------------------------------------------
+! variable argument de la subroutine copie
+!---------------------------------------------------------------------
+! SB        real pplay(100)    !pression en milieu de couche du gcm
+! SB                            !argument de la physique
+!---------------------------------------------------------------------
+! variables destinees a la lecture du pas de temps du fichier de donnees
+!---------------------------------------------------------------------
        character*80 aaa,atemps,spaces,apasmax
        integer nch,imn,ipa
-c---------------------------------------------------------------------
-c  procedures appelees
+!---------------------------------------------------------------------
+!  procedures appelees
         external rdgrads    !lire en iterant dans forcing.dat
-c---------------------------------------------------------------------
+!---------------------------------------------------------------------
                print*,'le pas itap est:',itap
-c*** on determine le pas du meso_NH correspondant au nouvel itap ***
-c*** pour aller chercher les champs dans rdgrads                 ***
-c
+!*** on determine le pas du meso_NH correspondant au nouvel itap ***
+!*** pour aller chercher les champs dans rdgrads                 ***
+!
         time=time0+itap*dtime
-cc        temps=int(time/dt+1)
-cc        pas=min(temps,pasmax)
+!c        temps=int(time/dt+1)
+!c        pas=min(temps,pasmax)
         temps = 1 + int((dt + 2*time)/(2*dt))
         pas=min(temps,pasmax-1)
              print*,'le pas Meso est:',pas
-c
-c
-c===================================================================
-c
-c*** on remplit les champs before avec les champs after du pas   ***
-c*** precedent en format gcm                                     ***
+!
+!
+!===================================================================
+!
+!*** on remplit les champs before avec les champs after du pas   ***
+!*** precedent en format gcm                                     ***
         if(pas.gt.pasprev)then
           do i=1,klev
@@ -180,15 +180,15 @@
          print *, imp_fcg,ts_fcg,Turb_fcg,pas,nblvlm,icompt
                        print*,'le pas pas est:',pas
-c*** on va chercher les nouveaux champs after dans toga.dat     ***
-c*** champs en format meso_NH                                   ***
-          open(99,FILE=file_fordat,FORM='UNFORMATTED',
-     .             ACCESS='DIRECT',RECL=8)
-          call rdgrads(99,icompt,nblvlm,z,ht_mes,hq_mes,hw_mes
-     .                  ,hu_mes,hv_mes,hthturb_mes,hqturb_mes
-     .                  ,ts_fcg,ts_subr,imp_fcg,Turb_fcg)
-c
+!*** on va chercher les nouveaux champs after dans toga.dat     ***
+!*** champs en format meso_NH                                   ***
+          open(99,FILE=file_fordat,FORM='UNFORMATTED',                        &
+     &             ACCESS='DIRECT',RECL=8)
+          call rdgrads(99,icompt,nblvlm,z,ht_mes,hq_mes,hw_mes                &
+     &                  ,hu_mes,hv_mes,hthturb_mes,hqturb_mes                 &
+     &                  ,ts_fcg,ts_subr,imp_fcg,Turb_fcg)
+!
 
                if(Tp_fcg) then
-c     (le forcage est donne en temperature potentielle)
+!     (le forcage est donne en temperature potentielle)
          do i = 1,nblvlm
            ht_mes(i) = ht_mes(i)*(hplaym(i)/1000.)**rkappa
@@ -200,5 +200,5 @@
          enddo
         endif  ! Turb_fcg
-c
+!
                print*,'ht_mes ',(ht_mes(i),i=1,nblvlm)
                print*,'hq_mes ',(hq_mes(i),i=1,nblvlm)
@@ -213,6 +213,6 @@
                   endif
           IF (ts_fcg) print*,'ts_subr', ts_subr
-c*** on interpole les champs meso_NH sur les niveaux de pression***
-c*** gcm . on obtient le nouveau champ after                    ***
+!*** on interpole les champs meso_NH sur les niveaux de pression***
+!*** gcm . on obtient le nouveau champ after                    ***
             do k=1,klev
              if (JM(k) .eq. 0) then
@@ -237,8 +237,8 @@
                endif ! imp_fcg
                if(Turb_fcg) then
-           hThTurbaft(k)=coef1(k)*hThTurb_mes(jm(k))
-     $               +coef2(k)*hThTurb_mes(jm(k)+1)
-           hqTurbaft(k) =coef1(k)*hqTurb_mes(jm(k))
-     $               +coef2(k)*hqTurb_mes(jm(k)+1)
+           hThTurbaft(k)=coef1(k)*hThTurb_mes(jm(k))                            &
+     &               +coef2(k)*hThTurb_mes(jm(k)+1)
+           hqTurbaft(k) =coef1(k)*hqTurb_mes(jm(k))                             &
+     &               +coef2(k)*hqTurb_mes(jm(k)+1)
                endif ! Turb_fcg
              endif ! JM(k) .eq. 0
@@ -250,6 +250,6 @@
          endif ! pas.gt.pasprev    fin du bloc relatif au passage au pas
                                   !de temps (meso) suivant
-c*** si on atteint le pas max des donnees experimentales ,on     ***
-c*** on conserve les derniers champs calcules                    ***
+!*** si on atteint le pas max des donnees experimentales ,on     ***
+!*** on conserve les derniers champs calcules                    ***
       if(temps.ge.pasmax)then
           do ll=1,klev
@@ -264,6 +264,6 @@
           ts_subr = tsaft
       else ! temps.ge.pasmax
-c*** on interpole sur les pas de temps de 10mn du gcm a partir   ***
-c** des pas de temps de 1h du meso_NH                            ***
+!*** on interpole sur les pas de temps de 10mn du gcm a partir   ***
+!** des pas de temps de 1h du meso_NH                            ***
          do j=1,klev
          ht(j)=((timeaft-time)*htbef(j)+(time-timebef)*htaft(j))/dt
@@ -275,45 +275,45 @@
              endif ! imp_fcg
              if(Turb_fcg) then
-         hThTurb(j)=((timeaft-time)*hThTurbbef(j)
-     $           +(time-timebef)*hThTurbaft(j))/dt
-         hqTurb(j)= ((timeaft-time)*hqTurbbef(j)
-     $           +(time-timebef)*hqTurbaft(j))/dt
+         hThTurb(j)=((timeaft-time)*hThTurbbef(j)                           &
+     &           +(time-timebef)*hThTurbaft(j))/dt
+         hqTurb(j)= ((timeaft-time)*hqTurbbef(j)                            &
+     &           +(time-timebef)*hqTurbaft(j))/dt
              endif ! Turb_fcg
          enddo
          ts_subr = ((timeaft-time)*tsbef + (time-timebef)*tsaft)/dt
        endif ! temps.ge.pasmax
-c
+!
         print *,' time,timebef,timeaft',time,timebef,timeaft
         print *,' ht,htbef,htaft,hthturb,hthturbbef,hthturbaft'
         do j= 1,klev
-           print *, j,ht(j),htbef(j),htaft(j),
-     $             hthturb(j),hthturbbef(j),hthturbaft(j)
+           print *, j,ht(j),htbef(j),htaft(j),                              &
+     &             hthturb(j),hthturbbef(j),hthturbaft(j)
         enddo
         print *,' hq,hqbef,hqaft,hqturb,hqturbbef,hqturbaft'
         do j= 1,klev
-           print *, j,hq(j),hqbef(j),hqaft(j),
-     $             hqturb(j),hqturbbef(j),hqturbaft(j)
+           print *, j,hq(j),hqbef(j),hqaft(j),                              &
+     &             hqturb(j),hqturbbef(j),hqturbaft(j)
         enddo
-c
-c-------------------------------------------------------------------
-c
+!
+!-------------------------------------------------------------------
+!
          IF (Ts_fcg) Ts = Ts_subr
          return
-c
-c-----------------------------------------------------------------------
-c on sort les champs de "convergence" pour l instant initial 'in'
-c ceci se passe au pas temps itap=0 de la physique
-c-----------------------------------------------------------------------
-        entry get_uvd2(itap,dtime,file_forctl,file_fordat,
-     .           ht,hq,hw,hu,hv,hThTurb,hqTurb,ts,
-     .           imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)
+!
+!-----------------------------------------------------------------------
+! on sort les champs de "convergence" pour l instant initial 'in'
+! ceci se passe au pas temps itap=0 de la physique
+!-----------------------------------------------------------------------
+        entry get_uvd2(itap,dtime,file_forctl,file_fordat,                  &
+     &           ht,hq,hw,hu,hv,hThTurb,hqTurb,ts,                          &
+     &           imp_fcg,ts_fcg,Tp_fcg,Turb_fcg)
              print*,'le pas itap est:',itap
-c
-c===================================================================
-c
+!
+!===================================================================
+!
        write(*,'(a)') 'OPEN '//file_forctl
        open(97,FILE=file_forctl,FORM='FORMATTED')
-c
-c------------------
+!
+!------------------
       do i=1,1000
       read(97,1000,end=999) string
@@ -322,8 +322,8 @@
       enddo
  50   backspace(97)
-c-------------------------------------------------------------------
-c   *** on lit le pas de temps dans le fichier de donnees ***
-c   *** "forcing.ctl" et pasmax                           ***
-c-------------------------------------------------------------------
+!-------------------------------------------------------------------
+!   *** on lit le pas de temps dans le fichier de donnees ***
+!   *** "forcing.ctl" et pasmax                           ***
+!-------------------------------------------------------------------
       read(97,2000) aaa
  2000  format (a80)
@@ -344,18 +344,18 @@
          print*,'pasmax est',pasmax
       CLOSE(97)
-c------------------------------------------------------------------
-c *** on lit le pas de temps initial de la simulation ***
-c------------------------------------------------------------------
+!------------------------------------------------------------------
+! *** on lit le pas de temps initial de la simulation ***
+!------------------------------------------------------------------
                   in=itap
-cc                  pasprev=in
-cc                  time0=dt*(pasprev-1)
+!c                  pasprev=in
+!c                  time0=dt*(pasprev-1)
                   pasprev=in-1
                   time0=dt*pasprev
-C
+!
           close(98)
-c
+!
       write(*,'(a)') 'OPEN '//file_fordat
-      open(99,FILE=file_fordat,FORM='UNFORMATTED',
-     .          ACCESS='DIRECT',RECL=8)
+      open(99,FILE=file_fordat,FORM='UNFORMATTED',                          &
+     &          ACCESS='DIRECT',RECL=8)
           icomp1 = nblvlm*4
           IF (ts_fcg) icomp1 = icomp1 + 1
@@ -363,13 +363,13 @@
           IF (Turb_fcg) icomp1 = icomp1 + nblvlm*2
           icompt = icomp1*(in-1)
-          call rdgrads(99,icompt,nblvlm,z,ht_mes,hq_mes,hw_mes
-     .                   ,hu_mes,hv_mes,hthturb_mes,hqturb_mes
-     .                   ,ts_fcg,ts_subr,imp_fcg,Turb_fcg)
+          call rdgrads(99,icompt,nblvlm,z,ht_mes,hq_mes,hw_mes              &
+     &                   ,hu_mes,hv_mes,hthturb_mes,hqturb_mes              &
+     &                   ,ts_fcg,ts_subr,imp_fcg,Turb_fcg)
           print *, 'get_uvd : rdgrads ->'
           print *, tp_fcg
-c
-c following commented out because we have temperature already in ARM case
-c   (otherwise this is the potential temperature )
-c------------------------------------------------------------------------
+!
+! following commented out because we have temperature already in ARM case
+!   (otherwise this is the potential temperature )
+!------------------------------------------------------------------------
                if(Tp_fcg) then
           do i = 1,nblvlm
@@ -389,12 +389,12 @@
                  print*,'hqTurb ',     (hqTurb_mes(i),i=1,nblvlm)
               endif ! Turb_fcg
-c----------------------------------------------------------------------
-c on a obtenu des champs initiaux sur les niveaux du meso_NH
-c on interpole sur les niveaux du gcm(niveau pression bien sur!)
-c-----------------------------------------------------------------------
+!----------------------------------------------------------------------
+! on a obtenu des champs initiaux sur les niveaux du meso_NH
+! on interpole sur les niveaux du gcm(niveau pression bien sur!)
+!-----------------------------------------------------------------------
             do k=1,klev
              if (JM(k) .eq. 0) then
-cFKC bug? ne faut il pas convertir tsol en tendance ????
-cRT bug taken care of by removing the stuff
+!FKC bug? ne faut il pas convertir tsol en tendance ????
+!RT bug taken care of by removing the stuff
            htaft(k)=              ht_mes(jm(k)+1)
            hqaft(k)=              hq_mes(jm(k)+1)
@@ -417,13 +417,13 @@
                endif ! imp_fcg
                if(Turb_fcg) then
-           hThTurbaft(k)=coef1(k)*hThTurb_mes(jm(k))
-     $                  +coef2(k)*hThTurb_mes(jm(k)+1)
-           hqTurbaft(k) =coef1(k)*hqTurb_mes(jm(k))
-     $                  +coef2(k)*hqTurb_mes(jm(k)+1)
+           hThTurbaft(k)=coef1(k)*hThTurb_mes(jm(k))                        &
+     &                  +coef2(k)*hThTurb_mes(jm(k)+1)
+           hqTurbaft(k) =coef1(k)*hqTurb_mes(jm(k))                         &
+     &                  +coef2(k)*hqTurb_mes(jm(k)+1)
                endif ! Turb_fcg
              endif ! JM(k) .eq. 0
             enddo
             tsaft = ts_subr
-c valeurs initiales des champs de convergence
+! valeurs initiales des champs de convergence
           do k=1,klev
              ht(k)=htaft(k)
@@ -442,35 +442,35 @@
           close(99)
           close(98)
-c
-c-------------------------------------------------------------------
-c
-c
+!
+!-------------------------------------------------------------------
+!
+!
  100      IF (Ts_fcg) Ts = Ts_subr
         return
-c
+!
 999     continue
         stop 'erreur lecture, file forcing.ctl'
         end
 
-      SUBROUTINE advect_tvl(dtime,zt,zq,vu_f,vv_f,t_f,q_f
-     :                     ,d_t_adv,d_q_adv)
+      SUBROUTINE advect_tvl(dtime,zt,zq,vu_f,vv_f,t_f,q_f                   &
+     &                     ,d_t_adv,d_q_adv)
       use dimphy
       implicit none
 
 #include "dimensions.h"
-ccccc#include "dimphy.h"
+!cccc#include "dimphy.h"
 
       integer k
       real dtime, fact, du, dv, cx, cy, alx, aly
       real zt(klev), zq(klev,3)
-     :   , vu_f(klev), vv_f(klev), t_f(klev), q_f(klev,3)
+      real vu_f(klev), vv_f(klev), t_f(klev), q_f(klev,3)
 
       real d_t_adv(klev), d_q_adv(klev,3)
 
-c Velocity of moving cell
+! Velocity of moving cell
       data cx,cy /12., -2./
 
-c Dimensions of moving cell
-      data alx,aly /100 000.,150 000./
+! Dimensions of moving cell
+      data alx,aly /100000.,150000./
 
       do k = 1, klev
@@ -490,7 +490,7 @@
       implicit none
 
-ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-c cette routine remplit les COMMON com1_phys_gcss et com2_phys_gcss.h
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+!cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+! cette routine remplit les COMMON com1_phys_gcss et com2_phys_gcss.h
+!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
       INTEGER klev !nombre de niveau de pression du GCM
@@ -514,8 +514,8 @@
       klev = klevgcm
 
-c---------------------------------------------------------------------
-c pression au milieu des couches du gcm dans la physiq
-c (SB: remplace le call conv_lipress_gcm(playgcm) )
-c---------------------------------------------------------------------
+!---------------------------------------------------------------------
+! pression au milieu des couches du gcm dans la physiq
+! (SB: remplace le call conv_lipress_gcm(playgcm) )
+!---------------------------------------------------------------------
 
        do k = 1, klev
@@ -524,9 +524,9 @@
        enddo
 
-c----------------------------------------------------------------------
-c lecture du descripteur des donnees Meso-NH (forcing.ctl):
-c  -> nb niveaux du meso.NH (nblvlm) + pressions meso.NH
-c (on remplit le COMMON com2_phys_gcss)
-c----------------------------------------------------------------------
+!----------------------------------------------------------------------
+! lecture du descripteur des donnees Meso-NH (forcing.ctl):
+!  -> nb niveaux du meso.NH (nblvlm) + pressions meso.NH
+! (on remplit le COMMON com2_phys_gcss)
+!----------------------------------------------------------------------
 
       call mesolupbis(file_forctl)
@@ -534,15 +534,15 @@
       print*,'la valeur de nblvlm est:',nblvlm
 
-c----------------------------------------------------------------------
-c etude de la correspondance entre les niveaux meso.NH et GCM;
-c calcul des coefficients d interpolation coef1 et coef2
-c (on remplit le COMMON com1_phys_gcss)
-c----------------------------------------------------------------------
+!----------------------------------------------------------------------
+! etude de la correspondance entre les niveaux meso.NH et GCM;
+! calcul des coefficients d interpolation coef1 et coef2
+! (on remplit le COMMON com1_phys_gcss)
+!----------------------------------------------------------------------
 
       call corresbis(psolgcm)
 
-c---------------------------------------------------------
-c TEST sur le remplissage de com1_phys_gcss et com2_phys_gcss:
-c---------------------------------------------------------
+!---------------------------------------------------------
+! TEST sur le remplissage de com1_phys_gcss et com2_phys_gcss:
+!---------------------------------------------------------
  
       write(*,*) ' '
@@ -562,15 +562,15 @@
       SUBROUTINE mesolupbis(file_forctl)
       implicit none 
-c
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-c
-c Lecture descripteur des donnees MESO-NH (forcing.ctl):
-c -------------------------------------------------------
-c
-c     Cette subroutine lit dans le fichier de controle "essai.ctl"
-c     et affiche le nombre de niveaux du Meso-NH ainsi que les valeurs
-c     des pressions en milieu de couche du Meso-NH (en Pa puis en hPa).
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-c
+!
+!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+!
+! Lecture descripteur des donnees MESO-NH (forcing.ctl):
+! -------------------------------------------------------
+!
+!     Cette subroutine lit dans le fichier de controle "essai.ctl"
+!     et affiche le nombre de niveaux du Meso-NH ainsi que les valeurs
+!     des pressions en milieu de couche du Meso-NH (en Pa puis en hPa).
+!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+!
       INTEGER nblvlm !nombre de niveau de pression du mesoNH
       REAL playm(100)  !pression en Pa milieu de chaque couche Meso-NH
@@ -588,14 +588,14 @@
       lu=9
       open(lu,file=file_forctl,form='formatted')
-c
+!
       do i=1,1000
       read(lu,1000,end=999) a
       if (a .eq. 'ZDEF') go to 100
       enddo
-c
+!
  100  backspace(lu)
       print*,'  DESCRIPTION DES 2 MODELES : '
       print*,' '
-c
+!
       read(lu,2000) aaa
  2000  format (a80)
@@ -604,11 +604,11 @@
          read(anblvl,*) nblvlm
 
-c
+!
       print*,'nbre de niveaux de pression Meso-NH :',nblvlm
       print*,' '
       print*,'pression en Pa de chaque couche du meso-NH :'
-c
+!
       read(lu,*) (playm(mlz),mlz=1,nblvlm)
-c      Si la pression est en HPa, la multiplier par 100
+!      Si la pression est en HPa, la multiplier par 100
       if (playm(1) .lt. 10000.) then
         do mlz = 1,nblvlm
@@ -617,24 +617,24 @@
       endif
       print*,(playm(mlz),mlz=1,nblvlm)
-c
+!
  1000 format (a4)
  1001 format(5x,i2)
-c
+!
       print*,' '
       do mlzh=1,nblvlm
       hplaym(mlzh)=playm(mlzh)/100.
       enddo
-c
+!
       print*,'pression en hPa de chaque couche du meso-NH: '
       print*,(hplaym(mlzh),mlzh=1,nblvlm)
-c
+!
       close (lu)
       return
-c
+!
  999  stop 'erreur lecture des niveaux pression des donnees'
       end
 
-      SUBROUTINE rdgrads(itape,icount,nl,z,ht,hq,hw,hu,hv,hthtur,hqtur,
-     :  ts_fcg,ts,imp_fcg,Turb_fcg)
+      SUBROUTINE rdgrads(itape,icount,nl,z,ht,hq,hw,hu,hv,hthtur,hqtur,     &
+     &  ts_fcg,ts,imp_fcg,Turb_fcg)
       IMPLICIT none
       INTEGER itape,icount,icomp, nl
@@ -642,12 +642,12 @@
       real hthtur(nl),hqtur(nl)
       real ts
-c
+!
       INTEGER k
-c
+!
       LOGICAL imp_fcg,ts_fcg,Turb_fcg
-c
+!
       icomp = icount
-c
-c
+!
+!
          do k=1,nl
             icomp=icomp+1
@@ -664,5 +664,5 @@
             read(itape,rec=icomp)hQ(k)
          enddo
-c
+!
              if(turb_fcg) then
          do k=1,nl
@@ -676,5 +676,5 @@
              endif
          print *,' apres lecture hthtur, hqtur'
-c
+!
           if(imp_fcg) then
 
@@ -689,15 +689,15 @@
 
           endif
-c
+!
          do k=1,nl
             icomp=icomp+1
             read(itape,rec=icomp)hw(k)
          enddo
-c
+!
               if(ts_fcg) then
          icomp=icomp+1
          read(itape,rec=icomp)ts
               endif
-c
+!
       print *,' rdgrads ->'
 
@@ -708,9 +708,9 @@
       implicit none
 
-ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-c Cette subroutine calcule et affiche les valeurs des coefficients
-c d interpolation qui serviront dans la formule d interpolation elle-
-c meme.
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+!cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
+! Cette subroutine calcule et affiche les valeurs des coefficients
+! d interpolation qui serviront dans la formule d interpolation elle-
+! meme.
+!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
       INTEGER klev    !nombre de niveau de pression du GCM
@@ -737,17 +737,12 @@
           mlz = 0
           JM(1) = mlz
-          coef1(1)=(playm(mlz+1)-val)
-     *             /(playm(mlz+1)-psol)
-          coef2(1)=(val-psol)
-     *             /(playm(mlz+1)-psol)
+          coef1(1)=(playm(mlz+1)-val)/(playm(mlz+1)-psol)
+          coef2(1)=(val-psol)/(playm(mlz+1)-psol)
        else if (val .gt. playm(nblvlm)) then
          do mlz=1,nblvlm
-          if (     val .le. playm(mlz)
-     *       .and. val .gt. playm(mlz+1))then
+          if (     val .le. playm(mlz).and. val .gt. playm(mlz+1))then
            JM(k)=mlz
-           coef1(k)=(playm(mlz+1)-val)
-     *              /(playm(mlz+1)-playm(mlz))
-           coef2(k)=(val-playm(mlz))
-     *              /(playm(mlz+1)-playm(mlz))
+           coef1(k)=(playm(mlz+1)-val)/(playm(mlz+1)-playm(mlz))
+           coef2(k)=(val-playm(mlz))/(playm(mlz+1)-playm(mlz))
           endif
          enddo
